#version 330

layout(location=0) in vec2 position;
layout(location=1) in vec3 color;

out vec4 Color;

uniform mat4 fullTransformMatrix;

void main()
{
        gl_Position = fullTransformMatrix * vec4( position, 0, 1 );
	Color = vec4(color,1);
}

